### Method

# EDataServerUI CredentialsPrompter prompt_finish

since: 3.16

#### Declaration [src]

    gboolean
    e_credentials_prompter_prompt_finish (
      ECredentialsPrompter* prompter,
      GAsyncResult* result,
      ESource** out_source,
      ENamedParameters** out_credentials,
      GError** error
    )

#### Description [src]

Finishes a credentials prompt previously started with e_credentials_prompter_prompt(). The `out_source` will have set a referenced `ESource`, for which the prompt was started. Unref it, when no longer needed. Similarly the `out_credentials` will have set a newly allocated `ENamedParameters` structure with provided credentials, which should be freed with `e_named_credentials_free()` when no longer needed. Both output arguments will be set to `NULL` on error and `FALSE` will be returned.

Available since: 3.16

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_source`

  Type: `ESource`

  Optionally set to an `ESource`, on which the prompt was started; can be `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_credentials`

  Type: `ENamedParameters`

  Set to an `ENamedParameters` with provided credentials.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.